Bug 187134 - applications like nautilus don't monitor removed files in kernel-smp-2.6.16-1.2097_FC6,.
applications like nautilus don't monitor removed files in kernel-smp-2.6.16-1...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 13:52 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.16-1.2114_FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 06:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-03-28 13:52:27 EST
Description of problem:
applications like nautilus don't monitor removed files in
kernel-smp-2.6.16-1.2097_FC6.

but file monitoring works well in kernel-smp-2.6.16-1.2088_FC6.

== file move ==
$cd ~/Destkop
$touch test.txt
test.txt  file appear on nautilus desktop.
$mv test.txt ~/.Trash
test.txt disappear on nautilus desktop.

== file remove ==
$cd ~/Desktop
$touch test.txt
test.txt  file appear on nautilus desktop.
$ rm -f test.txt
Before doing ctrl+r, test.txt doesn't disappear on nautilus desktop.



Version-Release number of selected component (if applicable):
2.6.16-1.2097_FC6

How reproducible:
always

Steps to Reproduce:
1. $cd ~/Desktop
2. $touch test.txt
3. $rm -f ~/Desktop/test.txt
  
Actual results:


Expected results:


Additional info:
gamin-0.1.7-1.2.1
$ cat /proc/filesystems  | grep notify
nodev   inotifyfs

== server debug ===
$export GAM_DEBUG=
[sangu@localhost ~]$ /usr/libexec/gam_server --notimeout test
added /media/*,1 to excludes
added /mnt/*,1 to excludes
added /dev/*,1 to excludes
added /proc/*,1 to excludes
Updating list of mounted filesystems
g_n_n: node for / using kernel with poll timeout of 0
basic poll backend initialized
inotify backend initialized
Using inotify as backend
Ready listening to socket /tmp/fam-sangu-test : 4

== Client ==
$ export GAM_DEBUG=
[sangu@localhost ~]$ export GAM_CLIENT_ID=test
[sangu@localhost ~]$ gthumb

Moving files on gthumb, server debuging messages don't be changed.
Comment 1 sangu 2006-03-30 08:29:22 EST
Please See Also : http://www.ussg.iu.edu/hypermail/linux/kernel/0603.3/1627.html

This problem still happens in kernel-smp-2.6.16-1.2104_FC6

Note You need to log in before you can comment on or make changes to this bug.